%define _sbindir /sbin
%define _libdir /%{_lib}

Summary: The GNU disk partition manipulation program
Name:    parted
Version: 2.1
Release: 29.0.1%{?dist}
License: GPLv3+
Group:   Applications/System
URL:     http://www.gnu.org/software/parted

Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
# All these patches are in upstream git and all before
# Patch 7 are in the new parted-2.2 release

# Use the physical sector size sysfs attribute rather then the
# minimum io size to get the physical sector size
Patch1:  parted-2.1-blkid_topology_get_physical_sector_size.patch
# Fix a few memleaks in GPT error handling paths
Patch2:  parted-2.1-mem-leak-fixes-rh556012.patch
# When a disk does not report its aligment preferences default to an alignment
# of 1 MiB
Patch3:  parted-2.1-default-alignment.patch
# Ensure that merely printing a GPT partition table does not modify the pMBR.
# Due to a bug in parted-2.1, "parted /dev/... print" would do just that.
# Not a problem for most, but if you have a hybrid, e.g., gptsync'd table
Patch4:  parted-2.1-gpt-clobber-pmbr-rh563211.patch
# Fix a NULL dereference in the dasd handling code, this stops parted from
# crashing on dasd disks with partitions which do not hold a recognizable fs
Patch5:  parted-2.1-dasd-NULL-dereference-rh563419.patch
# Copy over the needs_clobber flag in ped_disk_duplicate
Patch6:  parted-2.1-needs_clobber-rh566181.patch
# Don't cache the resolving of /dev/mapper/... symlinks, they may point
# to a different /dev/dm-# by the time we use the cached result.
Patch7:  parted-dev-mapper-symlink-rh577824.patch
# Add a partition flag for detecting diagnostics / recovery partitions
Patch8: parted-2.2-add-diag-flag-rh583626.patch
# Properly check dm_task_run return codes
Patch9: parted-2.2-dm_task_run-retcode-rh585158.patch
# Fix mkpartfs (ext2) on partition >2TB
Patch10: parted-2.2-blkoflow-rh585159.patch
# Also recognize recovery partitions with id 27 / on gpt
Patch11: parted-2.2-extend-diag-flag-rh589451.patch
# Recognize scsi disks with a high major as such
Patch12: parted-2.2-hi-major-sd-rh611691.patch
# workaround devicemapper having bad cache consistency between different maps
Patch13: parted-2.1-dm-cache-flush-rh623846.patch
# Document the align-check command
Patch14: parted-2.1-Document-align-check-642476.patch
# Default to 1MiB partition alignment
Patch15: parted-2.1-default-to-1MiB-alignment-when-possible.patch
# Double buffer for fdasd_check_api_version
Patch16: parted-2.3-double-buffer-for-fdasd_check_api_version-693852.patch
# Disable tests that fail when run as root
Patch17: parted-2.1-disable-root-tests.patch
# Add legacy_boot flag to GPT disklabel
Patch18: parted-2.3-gpt-add-legacy_boot-flag.patch
Patch19: parted-2.3-gpt-add-partition-attr-bits.patch
# Remove the asserts from CHS guessing code
Patch20: parted-2.4-remove-assert-from-dos-geometry.patch
# Fix the snap radius to use 1/2 unit range and don't allow values less than 1
Patch21: fix-snap-radius-so-that-it-is-using-half-665496.patch
Patch22: don-t-allow-values-less-than-1-665496.patch
Patch23: add-tests-for-snap-fixes.patch
# Fix a scsi_debug race condition that causes tests to fail
Patch24: fix-scsi_debug-race.patch
# Add a wait loop when removing the partition in t9030
Patch25: t9030-wait-for-partition-to-be-removed.patch
# Disable t9020
Patch26: disable-t9020.patch
# copy flags when duplicating GPT partitions and test
Patch27: parted-3.0-libparted-copy-flags-when-duplicating-GPT-partitions.patch
Patch28: parted-3.0-tests-add-new-test-to-check-ped_disk_duplicate.patch
# Use dm_udev_wait for devicemapper operations
Patch29: parted-2.1-libparted-use-dm_udev_wait-698121.patch
Patch30: parted-3.1-libparted-HFS-HFS-probe-don-t-let-a-corrupt-FS-evoke.patch
Patch31: parted-3.1-tests-exercise-and-document-the-HFS-probe-bug-fix-79.patch
Patch32: parted-3.1-libparted-use-largest_partnum-in-dm_reread_part_tabl.patch
Patch33: parted-3.1-tests-test-creating-20-device-mapper-partitions-8031.patch
Patch34: parted-3.1-libparted-preserve-the-uuid-on-dm-partitions-832145.patch
Patch35: parted-3.1-tests-Make-sure-dm-UUIDs-are-not-erased-832145.patch
# DASD Support
Patch36: parted-3.1-s390-improve-correct-DASD-support.patch
Patch37: parted-3.1-s390-make-DIAG-driver-work-for-FBA-DASD-with-block-s.patch
Patch38: parted-3.1-s390-avoid-warnings.patch
Patch39: parted-2.1-libparted-add-support-for-implicit-FBA-DASD-partitions.patch
Patch40: parted-2.1-libparted-add-support-for-EAV-DASD-partitions.patch
Patch41: parted-2.1-libparted-mklabel.patch
Patch42: parted-2.1-libparted-mklabel_edev.patch
Patch43: parted-2.1-libparted-avoid-dasd-as-default-file-image-type.patch
Patch44: parted-2.4-libparted-remove-limits-on-loop-labels.patch
Patch45: parted-2.1-remove-last-dm-partition-851705.patch
# PReP GUID support
Patch46: parted-2.1-ppc-prepboot-support-gpt.patch
# Fix detection of busy mpath partitions rhbz#1018075
Patch47: parted-2.4-linux-also-detect-in-use-dmraid-and-scsi-Nth-N-16-pa.patch
# Fix align-check in interactive mode rhbz#975478
Patch48: parted-2.3-parted-initialize-align_type-to-default-value.patch
Patch49: parted-2.3-parted-make-align-check-work-in-interactive-mode.patch
Patch50: parted-2.3-parted-do_align_check-returns-always-1-in-interactiv.patch
Patch51: parted-2.3-libparted-remove-HIGHLY-EXPERIMENTAL-warning-for-512.patch
Patch52: parted-2.1-Slow-down-rereading-part-table-1074069.patch
# Fix t8000-loop.sh failures on s390 rhbz#1139435
Patch53: parted-2.1-tests-skip-loop-partitioning-tests-when-ext_range-is.patch
# Fix device mapper blocksize usage
Patch54: parted-3.2-tests-don-t-rely-on-lockfile-program.patch
Patch55: parted-3.2-build-fix-check-other-sector_sizes.patch
Patch56: parted-3.2-tests-Only-run-t0501-on-512b-disks-for-now.patch
Patch57: parted-3.2-tests-Add-a-test-for-device-mapper-partition-sizes.patch
Patch58: parted-3.2-libparted-device-mapper-uses-512b-sectors.patch
# Fix handling of gpt backup table rhbz#1180683
Patch59: parted-3.2-libparted-fix-gpt-end-of-disk-handling.patch
Patch60: parted-3.2-libparted-Fix-check-for-backup-header-location.patch
Patch61: parted-3.2-libparted-Use-common-function-to-calculate-PTE.patch
Patch62: parted-3.2-libparted-handle-truncated-GPT-disks.patch
Patch63: parted-3.2-Add-tests-for-gpt-backup-header-changes.patch
Patch64: parted-3.2-libparted-Use-pri-before-freeing-it.patch
# Make sure test environment is consistent rhbz#1199434
Patch65: parted-2.1-Reset-environment-to-ensure-consistent-results.patch
# bug 25749760 - /sbin/parted: potential command line buffer overflow
Patch66: parted-2.1-orabug-25749760-fix-potential-command-line-buffer-overflow.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: e2fsprogs-devel
BuildRequires: readline-devel
BuildRequires: ncurses-devel
BuildRequires: gettext-devel
BuildRequires: texinfo
BuildRequires: device-mapper-devel
BuildRequires: libselinux-devel
BuildRequires: libuuid-devel
BuildRequires: libblkid-devel >= 2.17
BuildRequires: autoconf automake
BuildRequires: gperf

Requires(post): /sbin/ldconfig
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Requires(postun): /sbin/ldconfig

%description
The GNU Parted program allows you to create, destroy, resize, move,
and copy hard disk partitions. Parted can be used for creating space
for new operating systems, reorganizing disk usage, and copying data
to new hard disks.


%package devel
Summary:  Files for developing apps which will manipulate disk partitions
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The GNU Parted library is a set of routines for hard disk partition
manipulation. If you want to develop programs that manipulate disk
partitions and filesystems using the routines provided by the GNU
Parted library, you need to install this package.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
iconv -f ISO-8859-1 -t UTF8 AUTHORS > tmp; touch -r AUTHORS tmp; mv tmp AUTHORS


%build
autoreconf
autoconf
%configure --enable-selinux --disable-static
# Don't use rpath!
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

# Move devel package components in to the correct location
%{__mkdir} -p %{buildroot}%{_exec_prefix}/%{_lib}
%{__mv} %{buildroot}%{_libdir}/libparted.so %{buildroot}%{_exec_prefix}/%{_lib}
%{__mv} %{buildroot}%{_libdir}/pkgconfig %{buildroot}%{_exec_prefix}/%{_lib}
pushd %{buildroot}%{_exec_prefix}/%{_lib}
reallibrary="$(readlink libparted.so)"
%{__rm} -f libparted.so
ln -sf ../../%{_lib}/${reallibrary} libparted.so
popd

# Remove components we do not ship
%{__rm} -rf %{buildroot}%{_libdir}/*.la
%{__rm} -rf %{buildroot}%{_infodir}/dir
%{__rm} -rf %{buildroot}%{_bindir}/label
%{__rm} -rf %{buildroot}%{_bindir}/disk

%find_lang %{name}


%check
export LD_LIBRARY_PATH=$(pwd)/libparted/.libs
make check


%clean
%{__rm} -rf %{buildroot}


%post
/sbin/ldconfig
if [ -f %{_infodir}/parted.info.gz ]; then
    /sbin/install-info %{_infodir}/parted.info.gz %{_infodir}/dir || :
fi

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/parted.info.gz %{_infodir}/dir >/dev/null 2>&1 || :
fi

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS TODO doc/API doc/FAT
%{_sbindir}/parted
%{_sbindir}/partprobe
%{_mandir}/man8/parted.8.gz
%{_mandir}/man8/partprobe.8.gz
%{_libdir}/libparted-*.so.*
%{_infodir}/parted.info.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/parted
%{_exec_prefix}/%{_lib}/libparted.so
%{_exec_prefix}/%{_lib}/pkgconfig/libparted.pc


%changelog
* Mon Aug 20 2018 Simon Xu <xu.simon@oracle.com> 2.1-29.0.1
- Fix potential command line buffer overflow  [Orabug: 25749760]

* Mon Mar 09 2015 Brian C. Lane <bcl@redhat.com> 2.1-29
- Reset the environment for consistent test results
  Resolves: rhbz#1199434

* Wed Feb 25 2015 Brian C. Lane <bcl@redhat.com> 2.1-28
- libparted: Use pri before freeing it
  Related: rhbz#1180683

* Fri Feb 20 2015 Brian C. Lane <bcl@redhat.com> 2.1-27
- libparted: fix gpt end of disk handling
  Resolves: rhbz#1180683
- tests: Add tests for gpt end of disk handling
  Related: rhbz#1180683

* Thu Feb 19 2015 Brian C. Lane <bcl@redhat.com> 2.1-26
- libparted: device mapper uses 512b sectors
  Resolves: rhbz#1189328
- tests: Add a test for device-mapper partition sizes
  Related: rhbz#1189328
- tests: Turn on testing of other blocksizes
  Related: rhbz#1189328

* Tue Sep 09 2014 Brian C. Lane <bcl@redhat.com> 2.1-25
- Skip t8000-loop test on systems without partitioned loop support
  Resolves: rhbz#1139435

* Wed May 07 2014 Brian C. Lane <bcl@redhat.com> 2.1-24
- Slow down rereading part table
  Resolves: rhbz#1074069

* Fri May 02 2014 Brian C. Lane <bcl@redhat.com> 2.1-23
- Drop the warning about greater than 512-byte sector sizes being experimental
  Resolves: rhbz#929319

* Thu May 01 2014 Brian C. Lane <bcl@redhat.com> 2.1-22
- Add PreP GUID support
  Resolves: rhbz#1054283
- Fix busy partition detection on devices witout sequential minor device numbers
  Resolves: rhbz#1018075
- Fix align-check in interactive mode
  Resolves: rhbz#975478

* Fri Aug 02 2013 Brian C. Lane <bcl@redhat.com> 2.1-21
- Raise size limit on loop devices
  Resolves: #869743
- Remove dm device when last partition is removed
  Resolves: #851705

* Wed Jul 24 2013 Brian C. Lane <bcl@redhat.com> 2.1-20
- libparted: IBM Patches for FBA and EAV DASD support
  Resolves: #631928

* Fri Oct 05 2012 Brian C. Lane <bcl@redhat.com> 2.1-19
- libparted: HFS/HFS+ probe: don't let a corrupt FS evoke failed assertion
  Resolves: #797979
- tests: exercise and document the HFS-probe bug fix
  Resolves: #797979
- libparted: use largest_partnum in dm_reread_part_table
  Resolves: #803108
- tests: test creating 20 device-mapper partitions
  Resolves: #803108
- libparted: preserve the uuid on dm partitions
  Resolves: #832145
- tests: Make sure dm UUIDs are not erased
  Resolves: #832145

* Mon Jan 30 2012 Brian C. Lane <bcl@redhat.com> 2.1-18
- libparted: copy flags when duplicating GPT partitions
- test for GPT partition duplicate
  Resolves: #750395
- Use dm_udev_wait for dm operations
  Resolves: #698121
  Resolves: #751164

* Thu Oct 20 2011 Brian C. Lane <bcl@redhat.com> 2.1-17
- Disable t9020 (scsi_debug num_parts is broken)
- Add a wait loop to t9030 when removing the partition
- Remove size parameter from scsi_debug in t9030
  Resolves: #746098

* Tue Sep 27 2011 Brian C. Lane <bcl@redhat.com> 2.1-16
- Set the size of the test disk for t9020 which fails TPS on s390x
  Related: #746098

* Tue Sep 27 2011 Brian C. Lane <bcl@redhat.com> 2.1-15
- Add missing patch for scsi_debug race fix in tests
  Related: #665496

* Tue Jun 21 2011 Brian C. Lane <bcl@redhat.com> 2.1-14
- Fix scsi_debug race condition in tests
- turn t9020 and t9030 tests back on
- Add legacy_boot support to GPT disklabel (#711148)
  Resolves: #711148
- Remove asserts from CHS guessing code (#692562)
  Resolves: #692562
- Fix snap radius and don't allow values < 1 (#665496)
  Resolves: #665496

* Thu Apr 07 2011 Brian C. Lane <bcl@redhat.com> 2.1-13
- Double the buffer for fdasd_check_api_version
  Resolves: #693852
- Disable tests that fail when run as root

* Mon Dec 20 2010 Brian C. Lane <bcl@redhat.com> 2.1-11
- Document the align-check command
  Resolves: #642476
- Default to 1MiB partition alignment
  Resolves: #618255

* Mon Aug 16 2010 Hans de Goede <hdegoede@redhat.com> 2.1-10
- Flush kernel cache of devicemapper devices when opening them (#623846)
  Resolves: #623846

* Tue Jul 20 2010 Hans de Goede <hdegoede@redhat.com> 2.1-9
- Recognize scsi disks with a high major as such (#611691)
  Resolves: #611691

* Thu May  6 2010 Hans de Goede <hdegoede@redhat.com> 2.1-8
- Also recognize recovery partitions with id 27 / on gpt (#589473)
  Resolves: #589473

* Fri Apr 23 2010 Hans de Goede <hdegoede@redhat.com> 2.1-7
- Properly check dm_task_run return value (#585158)
  Resolves: #585158
- Fix mkpartfs (ext2) on partitions >2TB (#585159)
  Resolves: #585159
- Add a flag for detecting diagnostics / recovery partitions

* Tue Apr  6 2010 Hans de Goede <hdegoede@redhat.com> 2.1-6
- Parted should not canonicalize symlinks under /dev/mapper (#577824)
  Resolves: #577824

* Tue Mar 30 2010 Hans de Goede <hdegoede@redhat.com> 2.1-5
- Add descriptions of the patches to the spec file
  Related: rhbz#555835

* Thu Feb 18 2010 Hans de Goede <hdegoede@redhat.com> 2.1-4
- Copy needs_clobber value in ped_disk_duplicate() (#566181)
  Resolves: #566181

* Wed Feb 10 2010 Hans de Goede <hdegoede@redhat.com> 2.1-3
- Don't crash when reading a DASD disk with PV's on there (#563419)
  Resolves: #563419
- Don't overwrite the pmbr when merely printing a gpt table (#563211)
  Resolves: #563211

* Sun Jan 31 2010 Hans de Goede <hdegoede@redhat.com> 2.1-2
- Fix various memory leaks in error paths (#556012)
- Add %%check section to the specfile, invoking make check
- If a drive does not have alignment information available default
  to an alignment of 1MiB (#559639)
  Resolves: #559639

* Mon Jan 11 2010 Hans de Goede <hdegoede@redhat.com> 2.1-1
- New upstream release 2.1
- Drop all our patches (all merged upstream)
- This fixes the usage of disks with 4k logical sectors (#523954)
  Resolves: #523954

* Sun Dec 20 2009 Hans de Goede <hdegoede@redhat.com> 1.9.0-25
- Fix crash when partitioning loopback devices (#546622)
  Resolves: #549075
- Drop no-cylinder-align patch:
  - its functionality is superseeded by the per disk flags
  - its only user (pyparted) has been updated to use those
  - this is not upstream so we don't want other programs to start using it

* Fri Dec 18 2009 Hans de Goede <hdegoede@redhat.com> 1.9.0-24
- Allow partitioning of loopback devices (#546622)
- Add libparted function to query maximum partition length and start
  addresses for a given disk (#533417)
- Add per disk flags functions from upstream, this is the way upstream
  has implemented the disable cylinder alignment functionality
- Add --align cmdline option to specify how to align new partitions
  see the parted man page for details (#361951)
- Make the default alignment for new partitions optimal (#361951)
  Resolves: #361951
- When cylinder alignment is disabled, allow use of the last (incomplete)
  cylinder of the disk (#533328)
- Don't crash when printing partition tables in Russian (#543029)
- Make parted work correctly with new lvm (#525095)

* Mon Nov 30 2009 Dennis Gregorovic <dgregor@redhat.com> - 1.9.0-23.1
- Rebuilt for RHEL 6

* Wed Nov 11 2009 Hans de Goede <hdegoede@redhat.com> 1.9.0-23
- Fix parted not building on s390

* Mon Nov  9 2009 Hans de Goede <hdegoede@redhat.com> 1.9.0-22
- Fix error when creating a fresh dasd disk on a dasd device
  with a corrupted dasd label (#533808)

* Fri Nov  6 2009 Hans de Goede <hdegoede@redhat.com> 1.9.0-21
- Fix a compiler warning which is causing build errors (#532425)

* Tue Nov  3 2009 Hans de Goede <hdegoede@redhat.com> 1.9.0-20
- Fix error when creating a fresh dasd disk (#532425)
- Rewrite dasd disk duplication patches, as the old old ones conflicted
  with fixing creating a fresh dasd disk

* Fri Oct 30 2009 Hans de Goede <hdegoede@redhat.com> 1.9.0-19
- Fix a segfault introduced by -18 when operating on plain files

* Thu Oct 29 2009 Hans de Goede <hdegoede@redhat.com> 1.9.0-18
- Add functions to query device / partition table alignments (#528030)

* Thu Oct  8 2009 Hans de Goede <hdegoede@redhat.com> 1.9.0-17
- Only change the partition type to 82 when setting the swap flag on dos
  labels, not when resetting it

* Tue Oct  6 2009 Hans de Goede <hdegoede@redhat.com> 1.9.0-16
- Correctly handle GPT labels on big endian machines

* Tue Oct  6 2009 Hans de Goede <hdegoede@redhat.com> 1.9.0-15
- ped_partition_is_busy() should not throw exceptions (#527035)
- msdos_partition_is_flag_available() should return 1 for swap flag (#513729)

* Mon Aug 31 2009 Joel Granados <jgranado@redhat.com> 1.9.0-14
- Patchs for 'commit to os' for linux.  Thx to hansg.

* Fri Aug 28 2009 Karsten Hopp <karsten@redhat.com> 1.9.0-13
- volkey is only 4 chars, don't overflow destination buffer with 84 chars

* Fri Aug 21 2009 Joel Granados <jgranado@redhat.com> - 1.9.0-12
- libuuid-devel is now valid for s390 builds.

* Wed Aug 12 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.9.0-11
- Use xz compressed upstream tarball.

* Wed Aug 12 2009 Joel Granados <jgranado@redhat.com> - 1.9.0-10
- Make install with exclude docs work without an error message.

* Wed Jul 29 2009 Joel Granados <jgranado@redhat.com> - 1.9.0-9
- Add parenthesis where needed (#511907)

* Mon Jul 27 2009 Joel Granados <jgranado@redhat.com> - 1.9.0-8
- Add the swap flag to the dos type labels

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Joel Granados <jgranado@redhat.com> - 1.9.0-6
- Rebuild usiing the official tar.gz at http://ftp.gnu.org/gnu/parted/parted-1.9.0.tar.gz

* Wed Jul 22 2009 Joel Granados <jgranado@redhat.com> - 1.9.0-5.20090721git980c
- Better handle a duplicate error.

* Tue Jul 21 2009 Joel Granados <jgranado@redhat.com> - 1.9.0-4.20090721git980c
- New snapshot.
- Add patches to make dasd duplicate disk work.

* Sat Jul 18 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.9.0-3.20090610git32dc
- Fix a typo in the errno patch

* Mon Jul 13 2009 Joel Granados <jgranado@redhat.com> - 1.9.0-2.20090610git32dc
- Correctly number the snapshot.

* Fri Jul 10 2009 Joel Granados <jgranado@redhat.com> - 1.9.0-1
- New version.

* Thu Mar 26 2009 Joel Granados <jgranado@redhat.com> - 1.8.8-15
- Begin to identify virtio devices.
- Actually change the partition type in msdos lables (dcantrell).

* Mon Mar 23 2009 Joel Granados <jgranado@redhat.com> - 1.8.8-14
- Correct the behavior of upated_mode functions when the ASSERT fails (thx to hansg).

* Thu Feb 26 2009 Joel Granados <jgranado@redhat.com> - 1.8.8-13
- Fix parted build for gcc-4.4

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Joel Granados <jgranado@redhat.com> - 1.8.8-12
- Avoid the calling of stat for strings that don't begin with the "/" char (#353191).

* Sat Dec 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.8.8-11
- fix typo in last patch

* Sat Dec 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.8.8-10
- enable RAID partition types on sun disklabels for sparc

* Thu Nov 06 2008 Joel Granados <jgranado@redhat.com> - 1.8.8-9
- Fix the build for the s390(x) archs (#470211).

* Thu Jun 05 2008 Peter Jones <pjones@redhat.com> - 1.8.8-8
- Fix some of the atvrecv code (and the msftres code) so that the flags
  actually stick.

* Thu Jun 05 2008 Peter Jones <pjones@redhat.com> - 1.8.8-7
- Added "atvrecv" flag patch from atv-bootloader project.

* Thu May 29 2008 Joel Granados <jgranado@redhat.com> - 1.8.8-6
- Do a better job at recognizing the dos partition. (#246423)

* Thu Apr 10 2008 David Cantrell <dcantrell@redhat.com> - 1.8.8-5
- Allow RAID or LVM partition types on BSD disklabels.
  (jay.estabrook AT hp.com, #427114)

* Thu Apr 10 2008 Peter Jones <pjones@redhat.com> - 1.8.8-4
- Don't interactively ask to fix an AlternateGPT's location when not
  at the end of the disk; this is so that disk images written to a
  usb-key can work reasonably.

* Mon Feb 04 2008 David Cantrell <dcantrell@redhat.com> - 1.8.8-3
- Fixes so parted compiles with gcc-4.3 (#431397)

* Sun Jan 13 2008 David Cantrell <dcantrell@redhat.com> - 1.8.8-2
- Move libparted libraries to /lib (#428420)

* Wed Jan 02 2008 David Cantrell <dcantrell@redhat.com> - 1.8.8-1
- Upgraded to GNU parted-1.8.8
- License for GNU parted is now GPLv3+

* Thu Dec 13 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-13
- Modify parted man page to indicate which flags are valid for which
  disk labels (#242711)

* Mon Nov 05 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-12
- Add KNOWN ISSUES section to parted(8) man page explaining that we cannot
  currently do ext3 resizing inside parted (#367101)
- Update the xvd patch to include 'xvd' in the string table that parted
  uses when printing device types (#366971)
- Do not install the linux.h or gnu.h headers

* Tue Oct 30 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-11
- Do not install fdasd.h and vtoc.h header files

* Thu Oct 04 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-10
- Do not install the testsuite tools

* Thu Oct 04 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-9
- Always define PED_DEVICE_DM regardless of compile time options

* Tue Aug 21 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-8
- Rebuild

* Wed Aug 08 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-7
- Update License tag to GPLv2+

* Tue Aug 07 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-6
- Detect Xen virtual block devices and set model name appropriately

* Thu Apr 19 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-5
- Spec file cleanups for merge review (#226230)

* Fri Apr 13 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-4
- Fix primary partition cylinder alignment error for DOS disk labels (#229745)
- Do not build and package up libparted.a, only the shared library

* Wed Apr 11 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-3
- Fix off-by-one bug in parted(8) when displaying disk label (#235901)

* Wed Mar 21 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-2
- Do not translate partition name from disk label (#224182)

* Tue Mar 20 2007 David Cantrell <dcantrell@redhat.com> - 1.8.6-1
- Upgrade to GNU parted-1.8.6, summary of major change(s):
     a) Revert linux-swap(new) and linux-swap(old) fs types, it's
        linux-swap for all swap types (#233085)

* Tue Mar 20 2007 David Cantrell <dcantrell@redhat.com> - 1.8.5-1
- Upgrade to GNU parted-1.8.5 (added missing po files)

* Fri Mar 16 2007 David Cantrell <dcantrell@redhat.com> - 1.8.4-1
- Upgrade to GNU parted-1.8.4, summary of major changes:
     a) Update to use newest GNU developer tools
     b) Use gnulib, the GNU portability library
     c) HFS+ resize support
     d) Windows Vista fixes
     e) AIX disk label fixes
     f) >512 byte logical sector read support on Linux
- Spec file cleanups per Fedora packaging guidelines

* Thu Feb 08 2007 David Cantrell <dcantrell@redhat.com> - 1.8.2-5
- Remove period from end of summary line (package review)
- Use preferred BuildRoot (package review)
- BR device-mapper-devel

* Tue Jan 30 2007 David Cantrell <dcantrell@redhat.com> - 1.8.2-4
- Patched parted.8 man page to show partition names apply to GPT disklabels
  as well as Mac and PC98 disklabels (#221600)

* Mon Jan 22 2007 David Cantrell <dcantrell@redhat.com> - 1.8.2-3
- Remove BR for libtermcap-devel
- Specifically preserve starting alignment of 0x800 on Windows Vista
  (see http://support.microsoft.com/kb/923332 for details)
- Fix incorrect sector parameter used to initialize a new PedAlignment

* Thu Jan 18 2007 David Cantrell <dcantrell@redhat.com> - 1.8.2-2
- Preserve starting sector for primary NTFS 3.1 partitions (Windows
  Vista) when modifying the DOS disk label.  NTFS 3.1 partitions do
  not start on the 2nd head of the 1st cylinder at the beginning of
  the drive.

* Fri Jan 12 2007 David Cantrell <dcantrell@redhat.com> - 1.8.2-1
- Upgrade to GNU parted-1.8.2

* Fri Dec 15 2006 David Cantrell <dcantrell@redhat.com> - 1.8.1-2
- Fix a segfault when initializing new volumes (pjones)

* Mon Dec 04 2006 David Cantrell <dcantrell@redhat.com> - 1.8.1-1
- Upgrade to GNU parted-1.8.1

* Fri Nov 17 2006 David Cantrell <dcantrell@redhat.com> - 1.8.0-1
- Upgrade to GNU parted-1.8.0

* Thu Nov 02 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-18
- Detect Apple_Boot partition types correctly (#204714)

* Thu Oct 26 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-17
- For init_generic() failures on user-mode Linux block devices, goto
  error_free_arch_specific instead of error_free_dev.

* Wed Oct 04 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-16
- Don't throw PED_EXCEPTION_ERROR in ped_geometry_read() if accessing
  sectors outside of partition boundary, since returning false will
  shift ped_geometry_check() to the correct sectors.

* Wed Aug 23 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-15
- Fixed gpt patch (*asked_already -> asked_already, whoops)

* Tue Aug 22 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-14
- Improve error message returned by _parse_header() on GPT-labeled disks
  so users actually have an idea of how to correct the problem
- Fix off-by-one error with LastUsableLBA and PartitionEntryLBA overlap
  to prevent possible data corruption when using non-parted GPT editing
  tools

* Mon Aug 21 2006 Peter Jones <pjones@redhat.com> - 1.7.1-13
- Don't use the "volume name" as the device node name on dm device
  partitions, it isn't really what we want at all.

* Thu Aug 17 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-12
- Updated O_DIRECT patch to work around s390 problems
- Update LastUsableLBA on GPT-labeled disks after LUN resize (#194238)
- Fix exception when backup GPT table is not in the correction location
  and parted tries to move it (#194238)

* Tue Aug 15 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-11
- Expand error buffer to 8192 bytes in vtoc_error()
- Do not apply O_DIRECT patch on S/390 or S/390x platforms

* Mon Aug 14 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-10
- Removed bad header file patch (#200577)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.7.1-9.1
- rebuild

* Wed Jul  5 2006 Peter Jones <pjones@redhat.com> - 1.7.1-9
- add ped_exception_get_handler()

* Mon Jun 26 2006 Florian La Roche <laroche@redhat.com> - 1.7.1-8
- remove info files in preun

* Thu Jun 22 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-7
- PED_SECTOR_SIZE -> PED_SECTOR_SIZE_DEFAULT

* Thu Jun 22 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-6
- Roll dasd patches together
- Use O_DIRECT to prevent first partition corruption on GPT disks

* Thu Jun 15 2006 Jeremy Katz <katzj@redhat.com> - 1.7.1-5
- fix segfaults with dasd devices

* Wed Jun  7 2006 Jeremy Katz <katzj@redhat.com> - 1.7.1-4
- move .so symlink to -devel subpackage

* Sun May 28 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-3
- Rebuild

* Sun May 28 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-2
- Removed mac-swraid patch (added upstream)
- Updated device-mapper patch for parted-1.7.1

* Sat May 27 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-1
- Upgraded to parted-1.7.1

* Fri May 19 2006 David Cantrell <dcantrell@redhat.com> - 1.7.0-1
- Upgraded to parted-1.7.0

* Thu Apr 13 2006 David Cantrell <dcantrell@redhat.com> - 1.6.25.1-1
- Upgraded to parted-1.6.25.1
- BuildRequires libtool

* Tue Mar 14 2006 Jeremy Katz <katzj@redhat.com> - 1.6.25-8
- fix ppc swraid
- BR gettext-devel

* Wed Feb 22 2006 Peter Jones <pjones@redhat.com> - 1.6.25-7
- close /proc/devices correctly

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.6.25-6.1
- bump again for double-long bug on ppc(64)

* Tue Feb  7 2006 Peter Jones <pjones@redhat.com> 1.6.25-6
- Fix dm partition naming.

* Tue Feb  7 2006 Jesse Keating <jkeating@redhat.com> 1.6.25-5.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec  9 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec  2 2005 Peter Jones <pjones@redhat.com> 1.6.25-5
- rebuild for new device-mapper

* Thu Dec  1 2005 Peter Jones <pjones@redhat.com> 1.6.25-4
- change device-mapper code to call dm_task_update_nodes() after
  tasks which change device nodes.

* Wed Nov 16 2005 Peter Jones <pjones@redhat.com> 1.6.25-3
- fix /proc/devices parser bug

* Tue Nov 15 2005 Peter Jones <pjones@redhat.com> 1.6.25-2
- add support for partitions on dm devices

* Wed Nov 09 2005 Chris Lumens <clumens@redhat.com> 1.6.25-1
- Updated to 1.6.25.
- Update DASD, iseries, and SX8 patches.

* Tue Aug 30 2005 Chris Lumens <clumens@redhat.com> 1.6.24-1
- Updated to 1.6.24.

* Mon Jul 18 2005 Chris Lumens <clumens@redhat.com> 1.6.23-2
- Add buildreq for texinfo.

* Fri Jul 08 2005 Chris Lumens <clumens@redhat.com> 1.6.23-1
- Updated to 1.6.23.
- Get rid of separate Mac patches that are now included in upstream.
- Update DASD and AIX patches.

* Tue Jun 07 2005 Chris Lumens <clumens@redhat.com> 1.6.22-3
- Modified Apple_Free patch to take care of the case where the partitions
  are unnamed, causing many errors to be printed (#159047).

* Thu May 05 2005 Chris Lumens <clumens@redhat.com> 1.6.22-2
- Added upstream patch to display certain Apple_Free partitions (#154479).

* Wed Mar 23 2005 Chris Lumens <clumens@redhat.com> 1.6.22-1
- Updated to 1.6.22.
- Get rid of separate gc4 patch that's now included upstream.
- Take Mac LVM patch from parted CVS.

* Mon Mar 14 2005 Chris Lumens <clumens@redhat.com> 1.6.21-3
- Include patches from parted CVS for new gcc4 warnings.

* Sun Feb 20 2005 Paul Nasrat <pnasrat@redhat.com> 1.6.21-2
- Support lvm flags on mac partitions (#121266)

* Fri Jan 21 2005 Chris Lumens <clumens@redhat.com> 1.6.21-1 
- Updated to 1.6.21

* Wed Jan 12 2005 Tim Waugh <twaugh@redhat.com> 1.6.20-2
- Rebuilt for new readline.

* Fri Jan 07 2005 Chris Lumens <clumens@redhat.com> 1.6.20-1 
- Updated to 1.6.20 (#139257, #142100).
- Updated DASD and AIX patches for 1.6.20.

* Tue Dec 14 2004 Jeremy Katz <katzj@redhat.com> - 1.6.19-2
- add support for Promise SX8 devices

* Sun Nov 28 2004 Jeremy Katz <katzj@redhat.com> - 1.6.19-1
- update to 1.6.19 (#138419)

* Sun Nov 21 2004 Jeremy Katz <katzj@redhat.com> - 1.6.18-1
- update to 1.6.18

* Sat Nov 20 2004 Miloslav Trmac <mitr@redhat.com> - 1.6.16-3
- Convert pt_BR-parted.8 to UTF-8

* Thu Nov 11 2004 Jeremy Katz <katzj@redhat.com> - 1.6.16-2
- add patch from Matt Domsch to fix consistency of GPT disk labels 
  with the EFI specification for disks > 2TB (#138480)
- understand the new Sun UFS partition ID
- merge the new geometry probing from CVS to see if that helps the 
  assertions people are seeing (#138419)

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 1.6.16-1
- update to 1.6.16
- rebuild for python 2.4

* Mon Oct 18 2004 Jeremy Katz <katzj@redhat.com> - 1.6.15-5
- add patch from Matt Domsch to add a unique signature to new DOS labels 
  so that we can later determine which BIOS disk is which (#106674)

* Fri Oct 15 2004 Phil Knirsch <pknirsch@redhat.com> 1.6.15-4
- Fixed dasd patch (had some duplicate file patches in it)
- Fixed problem with parted segfaulting on SCSI discs on s390 (#133997)

* Tue Oct 12 2004 Jeremy Katz <katzj@redhat.com> - 1.6.15-3
- add patch from peterm to fix printing of the size of large devices (#135468)

* Thu Oct 07 2004 Phil Knirsch <pknirsch@redhat.com> 1.6.15-2
- Fixed geometry calculation for bios_geo in dasd_init()

* Mon Sep 20 2004 Jeremy Katz <katzj@redhat.com> - 1.6.15-1
- 1.6.15

* Fri Sep 10 2004 Jeremy Katz <katzj@redhat.com> - 1.6.14-1
- update to 1.6.14

* Tue Aug 24 2004 Jeremy Katz <katzj@redhat.com> - 1.6.12-2
- fix assertion error when checking flags on non-active partition (#130692)
- buildrequires: gettext-devel

* Mon Aug 16 2004 Jeremy Katz <katzj@redhat.com> - 1.6.12-1
- update to 1.6.12 with major changes to CHS handling to hopefully fix #115980
- adjust dasd patch accordingly, drop some included patches

* Mon Jul 19 2004 Karsten Hopp <karsten@redhat.de> 1.6.11-4 
- update dasd patch for dos-type partitions on mainframes (scsi disks)

* Fri Jun 25 2004 Jeremy Katz <katzj@redhat.com> - 1.6.11-3
- install-info (#77687)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> - 1.6.11-2
- rebuilt

* Tue Jun  1 2004 Jeremy Katz <katzj@redhat.com>
- -devel requires main package (#124938)

* Thu May 13 2004 Jeremy Katz <katzj@redhat.com> - 1.6.11-1
- update to 1.6.11

* Tue May 11 2004 Jeremy Katz <katzj@redhat.com> - 1.6.9-4
- add patch from Matt Domsch to not use the get/set last sector ioctls 
  with a 2.6 kernel (#121455)

* Thu Apr 15 2004 David Woodhouse <dwmw2@redhat.com> - 1.6.9-3
- Fix Mac partition detection to close #112937

* Tue Apr 13 2004 Jeremy Katz <katzj@redhat.com> - 1.6.9-2
- another minor tweak for 2.6's lack of sane geometry handling

* Mon Apr 12 2004 Jeremy Katz <katzj@redhat.com> - 1.6.9-1
- update to 1.6.9
- need automake17
- python-devel is superfluous with pyparted as a separate package
- lose the fake-libtool stuff, 1.6.9 was disted with newer auto*

* Mon Mar 15 2004 Elliot Lee <sopwith@redhat.com> 1.6.6-2
- Fix parted's "part-static" option to close #118183. Woohoo, a fake-libtool.sh :)

* Fri Mar 12 2004 Jeremy Katz <katzj@redhat.com> - 1.6.6-1
- update to 1.6.6 
- split dasd into a patch instead of included in the tarball
- python module is now in the pyparted package (separate src.rpm)
- ExcludeArch: ppc64 (#118183)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb  6 2004 Jeremy Katz <katzj@redhat.com>
- add automake buildrequires (#115063)

* Thu Jan 22 2004 Jeremy Katz <katzj@redhat.com> 1.6.3-33
- 2.6 removes the geometry fixups that used to be present for IDE disks.  
  According to Andries, just follow what's in the partition table and don't 
  worry about what Linux "detects"

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 1.6.3-32
- rebuild for python 2.3

* Mon Oct 27 2003 Jeremy Katz <katzj@redhat.com> 1.6.3-31
- add patch from Michael Schwendt <mschwendt@users.sf.net> for segfault

* Wed Sep 17 2003 Jeremy Katz <katzj@redhat.com> 1.6.3-30
- rebuild

* Wed Sep 17 2003 Jeremy Katz <katzj@redhat.com> 1.6.3-29
- and don't barf on the old (broken) 1.02 gpt rev

* Tue Sep 16 2003 Jeremy Katz <katzj@redhat.com> 1.6.3-28
- rebuild

* Tue Sep 16 2003 Jeremy Katz <katzj@redhat.com> 1.6.3-27
- write out the correct gpt revision (#103664)
- add buildrequires on ncurses-devel

* Thu Sep  4 2003 Bill Nottingham <notting@redhat.com> 1.6.3-26
- rebuild 

* Thu Sep  4 2003 Bill Nottingham <notting@redhat.com> 1.6.3-25
- don't buildreq libunicode-devel

* Thu Aug 07 2003 Elliot Lee <sopwith@redhat.com> 1.6.3-24
- Fix libtool

* Wed Jul 09 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-23
- Fixed dasd_write and dasd_read to support lvm and raid partitions.

* Wed Jun 18 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-22
- Fixed a small bug in VTOC fdasd_check_volume() (#97300).

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 1.6.3-21
- rebuilt

* Wed Jun  4 2003 Matt Wilson <msw@redhat.com> 1.6.3-20
- don't detect AIX physical volumes as msdos partition tables (#91748)
- added stubbed code for manipulating AIX PVs, enough to clobber the
  signature. (#91748)

* Wed Jun 04 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-19
- Added LDL disk layout support for s390(x).

* Sun May 18 2003 Matt Wilson <msw@redhat.com> 1.6.3-18
- use metadata partitions to protect DASD VTOC
- stash DASD specific data in disk specific areas, not arch specific
  areas.

* Fri May 16 2003 Matt Wilson <msw@redhat.com> 1.6.3-18
- recongnize iseries viodasd (#90449)

* Thu May 08 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-17
- Fixed problem with probing partitions on s390(x) with new partition code.

* Mon May 05 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-16
- Fixed partiton reread code for s390(x).

* Fri May 02 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-15
- Rewrote partition handling for s390(x) dasd devices. No more empty partitions.

* Wed Mar 12 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-13
- Finished updating vtoc and fdasd code to latest s390-utils version.

* Thu Mar 06 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-12
- Fixed vtoc handling on s390(x) dasd devices.

* Thu Feb 06 2003 Karsten Hopp <karsten@redhat.de> 1.6.3-11
- use different define to enable DASD debugging
  Otherwise we'll get a lot of dasd debug output because DEBUG is
  always defined

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Karsten Hopp <karsten@redhat.de> 1.6.3-9
- missed one debug message

* Tue Jan 21 2003 Karsten Hopp <karsten@redhat.de> 1.6.3-8
- add patch from CVS to disable debug messages on s390

* Tue Jan 14 2003 Matt Wilson <msw@redhat.com> 1.6.3-7
- updated to a new tarball of parted that includes a fs.probe_specific binding

* Sun Dec  1 2002 Matt Wilson <msw@redhat.com> 1.6.3-6
- hack in partition.native_type (#78118)

* Thu Nov  7 2002 Matt Wilson <msw@redhat.com>
- added a patch to avoid SIGFPE when fat sector size is 0

* Tue Nov  5 2002 Matt Wilson <msw@redhat.com>
- use --disable-dynamic-loading

* Mon Nov  4 2002 Matt Wilson <msw@redhat.com>
- add device.disk_new_fresh()

* Fri Nov  1 2002 Matt Wilson <msw@redhat.com>
- 1.6.3

* Fri Oct  4 2002 Jeremy Katz <katzj@redhat.com> 1.4.24-7
- use make LIBTOOL=/usr/bin/libtool instead of recreating everything
- add patch from Jack Howarth <howarth@bromo.med.uc.edu> to self host properly
- add patch to treat GPT structs as little-endian always and treat GUIDS 
  as little-endian blobs
- add patch to recognize hp service partitions

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com> 1.4.24-6hammer
- libtoolize, etc for x86_64
- hack to get the python module in the right place until python.m4 
  from automake is fixed

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.4.24-6
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com> 1.4.24-5
- automated rebuild

* Wed May 22 2002 Jeremy Katz <katzj@redhat.com> 1.4.24-4
- rebuild in new environment

* Fri Mar 22 2002 Matt Wilson <msw@redhat.com> 1.4.24-3
- fixed the probe-with-open behavior (again)

* Fri Feb 22 2002 Matt Wilson <msw@redhat.com> 1.4.24-1
- rebuild

* Tue Feb 12 2002 Matt Wilson <msw@redhat.com> 1.4.24-1
- 1.4.24

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan  7 2002 Jeremy Katz <katzj@redhat.com> 1.4.20-4
- build with final python 2.2

* Wed Dec 12 2001 Jeremy Katz <katzj@redhat.com> 1.4.20-3
- update from CVS and rebuild in new environment

* Thu Oct 25 2001 Jeremy Katz <katzj@redhat.com> 1.4.20-2
- build both python1.5 and python2 modules

* Fri Oct 19 2001 Matt Wilson <msw@redhat.com> 1.4.20-1
- 1.4.20 final

* Thu Oct 11 2001 Matt Wilson <msw@redhat.com> 1.4.20-0.1pre3
- new dist from CVS with new autoconf and automake
- gpt is in 1.4.20, removed patch1 (gpt support)
- partstatic is in 1.4.20, removed patch2 (partstatic patch)

* Tue Aug 28 2001 Matt Wilson <msw@redhat.com> 1.4.16-8
- new dist from cvs with changes to the python binding: register
  DEVICE_I20 and DEVICE_ATARAID, check to make sure that a partition
  exists in the PedDisk when using it to find ped_disk_next_partition

* Tue Aug 21 2001 Matt Wilson <msw@redhat.com> 1.4.16-7
- really disable pc98 support (SF #51632)

* Fri Aug 17 2001 Matt Wilson <msw@redhat.com> 1.4.16-6
- added a patch (Patch1) to link the c library in dynamically, the
  rest of the libs statically for the parted binary (MF #49358)

* Tue Aug  7 2001 Matt Wilson <msw@redhat.com>
- made a new dist from CVS that includes binding for
  disk.get_partition_by_sector and accessing the name of a disk type

* Mon Aug  6 2001 Matt Wilson <msw@redhat.com> 1.4.16-4
- created a new dist from CVS that fixes ext3 detection when
  _probe_with_open is needed (#50292)

* Fri Jul 20 2001 Matt Wilson <msw@redhat.com>
- rewrite scsi id code (#49533)

* Fri Jul 20 2001 Matt Wilson <msw@redhat.com>
- added build requires (#49549)

* Tue Jul 17 2001 Matt Wilson <msw@redhat.com>
- 1.4.16
- regenerated gpt patch against 1.4.16, incorporated
  parted-1.4.15-pre1-gpt-printf.patch into the same patch, removed Patch1

* Tue Jul 10 2001 Matt Wilson <msw@redhat.com>
- added a new dist tarball that contains python wrappers to get disk types

* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- run ldconfig on un/install

* Tue Jul 10 2001 Matt Wilson <msw@redhat.com>
- added a fix from clausen for border case when there is an extended
  on the last cyl

* Mon Jul  9 2001 Matt Wilson <msw@redhat.com>
- 1.4.15

* Thu Jul  5 2001 Matt Wilson <msw@redhat.com>
- added patch from Arjan to enable ataraid support

* Wed Jul  4 2001 Matt Wilson <msw@redhat.com>
- imported 1.4.15-pre2 into CVS and made a new dist tarball

* Tue Jun 26 2001 Matt Wilson <msw@redhat.com>
- added a new dist tarball that contains a check in python code to
  make sure that a partition exists within a disk before trying to
  remove it from the disk
- also changed _probe_with_open to make the first probed filesystem win

* Tue Jun 26 2001 Bill Nottingham <notting@redhat.com>
- fix filesystem type reading on GPT disks

* Tue Jun 26 2001 Matt Wilson <msw@redhat.com>
- added another fix for ext2/ext3
- added Patch4 to move the crc32 function into its own namespace so
  we don't colide with zlib when both are in the same executable space

* Mon Jun 25 2001 Matt Wilson <msw@redhat.com>
- added a new dist tarball from CVS that includes
  ext3 probing

* Wed Jun  6 2001 Matt Wilson <msw@redhat.com>
- updated dist with binding for partition.geom.disk

* Tue Jun  5 2001 Matt Wilson <msw@redhat.com>
- make a new dist tarball that has new python binding changes

* Tue May 29 2001 Bill Nottingham <notting@redhat.com>
- add major numbers for cciss 
- add libunicode-devel buildprereq

* Sun May 27 2001 Matthew Wilson <msw@redhat.com>
- added type, heads, and sectors to the python binding for PedDevice

* Fri May  4 2001 Matt Wilson <msw@redhat.com>
- added parted-1.4.11-gpt-pmbralign.patch from Matt Domsch

* Wed May  2 2001 Matt Wilson <msw@redhat.com>
- include python binding
- enable shared library (for python binding, we want fpic code)
  with --enable-shared
- build parted binary static with --enable-all-static
- don't run libtoolize on this.

* Wed May 02 2001 Bill Nottingham <notting@redhat.com>
- update to 1.4.11
- add EFI GPT patch from Matt Domsch (<Matt_Domsch@dell.com>)
- don't run autoconf, it relies on a newer non-released version
  of autoconf...

* Fri Feb 23 2001 Trond Eivind Glomsrød <teg@redhat.com>
- langify

* Wed Jan 17 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.4.7

* Thu Dec 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Fri Nov 03 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.12

* Wed Nov 01 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.11

* Tue Oct 17 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.10

* Sun Sep 10 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.9

* Tue Aug 29 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix bug when just hitting "return" with no user input

* Sun Aug 20 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- 1.2.8
- blksize patch not needed anymore
- move changelog to the end of the spec file

* Wed Aug 16 2000 Matt Wilson <msw@redhat.com>
- 1.2.7
- patched configure script to ignore the 2.4 blkpg.h header (fixes #15835).

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.6

* Sat Jul 22 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.5
- add more docu

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Matt Wilson <msw@redhat.com>
- initialization of spec file.
